Subject: Re: [savi] DHCP States

From: "毕军"<[email-masked]>
Date: Sun, 25 Jul 2010 05:25:29 +0800 (CST)

--------------------------------------------------
From: "Joel M. Halpern" <[email-masked]>
Sent: Saturday, July 24, 2010 10:22 PM
To: "Bi Jun" <[email-masked]>
Cc: "SAVI Mailing List" <[email-masked]>; "Mikael Abrahamsson" 
<[email-masked]>
Subject: Re: [savi] DHCP States

> I am not proposing that we not support SLAAC>  (While tempting, as I 
> suspected that is not reasonable, and as you say does not match the 
> charter.)
> However, the charter does not say that every combination of everything 
> must be supported.
> I will repeat my question:  What problem for the users are we solving by 
> encouratging them to use both DHCP and SLAAC for address assignment for 
> the same IPv6 prefix on the same broadcast domain?
> If we are not solving a meaningful problem, then we should not do it.
>
> Yours,
> Joel
>
> Bi Jun wrote:
>> Hi Joel,
>>
>> You are proposing a big change on SAVI WG charter (the WG charter 
>> requires savi solutions to support all address assignment methods).
>>
>> Although personally I agree that SLAAC is not a good address assignment 
>> method (need an improvement to enhance the manageability and security), 
>> but it has been widely used, so I agree with the charter to support all 
>> assignment methods, including mixed environment. It will make the SAVI 
>> more widely been used.
>>
>> thanks,
>> Jun Bi
>>
>> --------------------------------------------------
>> From: "Joel M. Halpern" <[email-masked]>
>> Sent: Thursday, July 22, 2010 5:17 PM
>> To: "Mikael Abrahamsson" <[email-masked]>
>> Cc: "SAVI Mailing List" <[email-masked]>
>> Subject: Re: [savi] DHCP States
>>
>>> While I like the idea of not supporting SLAAC with SAVI, my 
>>> understanding of the objection was that since all devices support SLAAC, 
>>> and not all devices support DHCPv6 address assignment, it follows that 
>>> network administrators may need, in environments where they do not have 
>>> sufficient control over the end devices, to allow SLAAC.
>>>
>>> If folks wanted to just say "no SLAAC with SAVI", I would applaud the 
>>> security improvement.  But then, almost all my customers use DHCP.
>>>
>>> Yours,
>>> Joel
>>>
>>> Mikael Abrahamsson wrote:
>>>> On Thu, 22 Jul 2010, Joel M. Halpern wrote:
>>>>
>>>>> So I am still trying to understand why a security-sensitive network 
>>>>> administrator who understands the effects of his tools and hsi not 
>>>>> trying to run experiments to see how things work would use both SLAAC 
>>>>> and DHCP for IP address assignment.
>>>>
>>>> A security conscious administrator (or ISP) wouldn't use SLAAC at all, 
>>>> he would use DHCP only. I still think SAVI should support all 
>>>> deployment models, otherwise we can do away with the SLAAC support as 
>>>> well (at least for obtaining address(es)).
>>>>
>>> _______________________________________________
>>> savi mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/savi
>>>
>>
> _______________________________________________
> savi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/savi
>